zenilib: zenilib/jni/external/angle/src/common/angleutils.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
angleutils.h File Reference
`#include <stddef.h>`

Go to the source code of this file.

## Macros

#define | DISALLOW_COPY_AND_ASSIGN(TypeName)
#define | GL_BGR5_A1_ANGLEX 0x6ABD
#define | GL_BGRA4_ANGLEX 0x6ABC
#define | VENDOR_ID_AMD 0x1002
#define | VENDOR_ID_INTEL 0x8086
#define | VENDOR_ID_NVIDIA 0x10DE

## Functions

template<typename T , unsigned int N>
unsigned int | ArraySize (T(&)[N])
template<typename T , unsigned int N>
void | SafeRelease (T(&resourceBlock)[N])
template<typename T >
void | SafeRelease (T &resource)

## Macro Definition Documentation

#define DISALLOW_COPY_AND_ASSIGN | ( |  | TypeName | ) |

Value:
TypeName(const TypeName&); \
void operator=(const TypeName&)
void
GLvoid **typedef void(GLAPIENTRY *PFNGLGETVERTEXATTRIBDVPROC)(GLuint
Definition: glew.h:1824
TypeName
const char * TypeName(ALenum type)
Definition: alhelpers.c:279

Definition at line 16 of file angleutils.h.

#define GL_BGR5_A1_ANGLEX 0x6ABD

Definition at line 54 of file angleutils.h.

#define GL_BGRA4_ANGLEX 0x6ABC

Definition at line 53 of file angleutils.h.

#define VENDOR_ID_AMD 0x1002

Definition at line 49 of file angleutils.h.

#define VENDOR_ID_INTEL 0x8086

Definition at line 50 of file angleutils.h.

#define VENDOR_ID_NVIDIA 0x10DE

Definition at line 51 of file angleutils.h.

## Function Documentation

template<typename T , unsigned int N>

unsigned int ArraySize | ( | T(&) | [N] | ) |

inline

Definition at line 21 of file angleutils.h.

template<typename T , unsigned int N>

void SafeRelease | ( | T(&) | resourceBlock[N] | ) |

Definition at line 27 of file angleutils.h.

References i.

template<typename T >

void SafeRelease | ( | T & | resource | ) |

Definition at line 36 of file angleutils.h.

References NULL.